<template>
  <thead v-if="columns.length > 0">
    <tr>
      <th v-for="column in columns" :key="`column-${column.key}`">{{column.label}}</th>
      <th></th>
    </tr>
  </thead>
</template>
<script lang="ts">
import Vue from 'vue';
import { Component, Inject } from 'vue-property-decorator';
import { Column } from '@/components/grid/GridConfig';

@Component
export default class TableHeader extends Vue {
  @Inject('gridColumns')
  private columns!: Array<Column>
}
</script>
